Metaproperty

Metaproperty

1.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAMANAGEMENT -
  • METAPROPERTYMANAGEMENT -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAMANAGEMENT -
  • METAPROPERTYMANAGEMENT -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Metaproperties - New API (Preferred)

Retrieve metaproperties

Returns a paginated list of metaproperties.

get
https://{your-bynder-domain}/api/1/taxonomy/metaproperties

Query Parameters

limitinteger(int32)

Default:20

<= 1000

Example:250

pageinteger(int32)

Default:1

Example:1

idsarray[string](uuid)
metapropertyTypesarray[string]

Allowed values:single-selectmulti-selectdatetext

autocompleteboolean

Response

200 application/json

PaginatedMetapropertiesResponse

metadataobjectrequired
Show Child Parameters
metapropertiesarray[object]
Show Child Parameters
get/api/1/taxonomy/metaproperties
 
200 application/json

Create metaproperty

Create a new metaproperty

post
https://{your-bynder-domain}/api/1/taxonomy/metaproperties

Body

application/json

MetapropertyInput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
metapropertyTypestringrequired

Allowed values:single-selectmulti-selectdatetext

namestringrequired

Response

application/json

MetapropertyCreateOutput

allowDuplicatesboolean
autocompleteboolean
createDuringApplyboolean
definitionstring
idstring(uuid)
metapropertyTypestring

Allowed values:single-selectmulti-selectdatetext

namestring
statusstring
post/api/1/taxonomy/metaproperties

Body

{ "metapropertyType": "single-select", "name": "name" }
 
application/json

Delete metaproperty

Delete a metaproperty by id

delete
https://{your-bynder-domain}/api/1/taxonomy/metaproperties/{metapropertyId}

Path Parameters

metapropertyIdstring(uuid)required

Response

application/json

MetapropertyDeletedOutput

messagestringrequired
delete/api/1/taxonomy/metaproperties/{metapropertyId}
 
application/json